import { EventEmitter, ChangeDetectorRef, OnDestroy, AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { NgForm, ValidatorFn, FormGroup } from '@angular/forms';
import { IFormConfiguration, SdFormControl } from '@sd-angular/core/common';
import { SdSuffixDirective } from '@sd-angular/core/common';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { SdLabelDefDirective } from '@sd-angular/core/common';
export declare class SdInputCurrency implements OnDestroy, OnInit, AfterViewInit {
    #private;
    private ref;
    private formConfig;
    set name(val: string);
    appearance: MatFormFieldAppearance;
    disableErrorMessage: boolean;
    set _disableErrorMessage(val: boolean | '');
    size: 'sm' | 'lg';
    set form(val: NgForm | FormGroup);
    label: string;
    placeholder: string;
    set model(value: any);
    modelChange: EventEmitter<any>;
    set align(val: 'left' | 'right' | '');
    set allowNegative(val: boolean | '');
    set decimal(val: '.' | ',' | '');
    set precision(val: number);
    set prefix(val: string);
    set suffix(val: string);
    set thousands(val: '.' | ',' | '');
    set nullable(val: boolean | false);
    set min(val: number);
    set max(val: number);
    isRequired: boolean;
    set required(val: boolean | '');
    set pattern(val: string);
    set validator(validator: (value: any) => string | Promise<string>);
    inlineError: string;
    set _inlineError(val: string);
    set disabled(val: boolean | '');
    sdSuffix: SdSuffixDirective;
    sdLabelDef: SdLabelDefDirective;
    tooltip: string | ((inputValue: string) => string);
    sdChange: EventEmitter<any>;
    sdFocus: EventEmitter<any>;
    keyupEnter: EventEmitter<any>;
    control: ElementRef;
    formControl: SdFormControl;
    options: {};
    constructor(ref: ChangeDetectorRef, formConfig: IFormConfiguration);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    reValidate: () => void;
    customInlineErrorValidator(): ValidatorFn;
    onKeyupEnter: () => void;
    onFocus: () => void;
    onBlur: () => void;
}
